Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Class QueueSenderSessionFactory

    java.lang.Object
      com.atomikos.jms.MessageProducerSessionFactory
          com.atomikos.jms.QueueSenderSessionFactory

    public class QueueSenderSessionFactory

extends MessageProducerSessionFactory

A factory for QueueSenderSession instances, allowing a number of sessions to share the same setup configuration. Changes to the factory properties will not affect any previously created sessions.

Constructor Summary
`QueueSenderSessionFactory()`

Method Summary
`protected MessageProducerSession` | `createMessageProducerSession()` Creates a new message producer session.
`QueueSenderSession` | `createQueueSenderSession()` Create a new instance with the current properties.
`javax.jms.Queue` | `getQueue()`
`QueueConnectionFactoryBean` | `getQueueConnectionFactoryBean()`
`javax.jms.Queue` | `getReplyToQueue()` Gets the replyTo queue (if any).
`void` | `setQueue(javax.jms.Queue queue)` Sets the queue to send to (required).
`void` | `setQueueConnectionFactoryBean(QueueConnectionFactoryBean bean)`
`void` | `setReplyToQueue(javax.jms.Queue queue)`

Methods inherited from class com.atomikos.jms.MessageProducerSessionFactory
`getDeliveryMode, getDestination, getPassword, getPriority, getReplyToDestination, getTimeToLive, getUser, setDeliveryMode, setDestination, setPassword, setPriority, setReplyToDestination, setTimeToLive, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueSenderSessionFactory

    public QueueSenderSessionFactory()

Method Detail

### getQueue

    public javax.jms.Queue getQueue()

  Returns:

### getQueueConnectionFactoryBean

    public QueueConnectionFactoryBean getQueueConnectionFactoryBean()

  Returns:

### getReplyToQueue

    public javax.jms.Queue getReplyToQueue()

  Gets the replyTo queue (if any).

  Returns:
    Null if no replyToQueue was set, or if the replyTo destination is a topic.

### setQueue

    public void setQueue(javax.jms.Queue queue)

  Sets the queue to send to (required).

  Parameters:
    `queue` -

### setQueueConnectionFactoryBean

    public void setQueueConnectionFactoryBean(QueueConnectionFactoryBean bean)

  Parameters:
    `bean` -

### setReplyToQueue

    public void setReplyToQueue(javax.jms.Queue queue)

  Parameters:
    `queue` -

### createQueueSenderSession

    public QueueSenderSession createQueueSenderSession()

  Create a new instance with the current properties. Any later property changes will NOT affect the created instance.

  Returns:

### createMessageProducerSession

    protected MessageProducerSession createMessageProducerSession()

  Description copied from class: `MessageProducerSessionFactory`
  Creates a new message producer session.

  Specified by:
    `createMessageProducerSession` in class `MessageProducerSessionFactory`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.